Bug 129633 - Provide API that let's you call showAddDriver on AWT thread and return the driver
Provide API that let's you call showAddDriver on AWT thread and return the dr...
Status: VERIFIED FIXED
Product: db
Classification: Unclassified
Component: Code
6.x
All All
: P2 (vote)
: 6.x
Assigned To: David Vancouvering
issues@db
: API, API_REVIEW_FAST, PLAN
Depends on:
Blocks: 131356 134193 138142
  Show dependency treegraph
 
Reported: 2008-03-10 09:35 UTC by Vadiraj Deshpande
Modified: 2008-07-14 19:24 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Patch for proposed change (5.32 KB, patch)
2008-06-27 22:29 UTC, David Vancouvering
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vadiraj Deshpande 2008-03-10 09:35:59 UTC
Using JDBCDriverManager.getDefault().showAddDriverDialog(), one can register a non-existent driver into the IDE.
But this method call do not have any kind of feedback as to whether the operation was successful and a new driver is
registered into the IDE or not. 
The work around is to call  JDBCDriver[] drivers = JDBCDriverManager.getDefault().getDrivers(driverClassName) and check
the array size and if this is still zero, display the add driver dialog again (possibly in a loop). This is annoying.
Comment 1 Andrei Badea 2008-03-10 14:13:37 UTC
Probably a method like

JDBCDriverManager.showAddDriverDialogFromEventThread()

needs to be provided which can only be called in the event dispatching thread and can return the new driver. Similar to
ConnectionManager.showAddConnectionDialogFromEventThread().
Comment 2 David Vancouvering 2008-03-10 17:22:41 UTC
I know this is frustrating, but it's not a defect, it really is an enhancement request.  I like Andrei's suggestion.
Comment 3 David Vancouvering 2008-04-29 20:39:53 UTC
Let's do this, it shouldn't be hard at all, and will provide a real benefit.
Comment 4 David Vancouvering 2008-06-27 22:29:17 UTC
Created attachment 63625 [details]
Patch for proposed change
Comment 5 David Vancouvering 2008-06-27 22:30:49 UTC
Please review patch for proposed change.

I tested this manually and it works as desired.
Comment 6 Vadiraj Deshpande 2008-06-30 11:49:06 UTC
Patch looks good to me.
Comment 7 Andrei Badea 2008-07-09 13:10:07 UTC
API looks fine.
Comment 8 David Vancouvering 2008-07-10 17:56:02 UTC
Ready for integration
Comment 9 David Vancouvering 2008-07-10 17:56:20 UTC
http://hg.netbeans.org/main?cmd=changeset;node=a45560212d61
Comment 10 Roman Mostyka 2008-07-14 19:24:38 UTC
Verified with build 080714.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo